<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical" 
 
    >

        <ScrollView
            android:id="@+id/td_scrollView"
     	    style="@style/scrollDetail"
         >
         
         <!--  
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:clickable="true"
            android:fillViewport="true"
            android:focusableInTouchMode="true"
            android:background="@color/ivory"
            android:padding="2dp" >
		  -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical" >
 			 <com.qiyou.mb.android.utils.image.QimageView
		        android:id="@+id/imgTopBanner"
		        android:layout_width="fill_parent"
 				android:layout_height="128dp"
 		        android:layout_marginBottom="-1dp"
		        android:layout_marginTop="-2dp"
		   
		        android:scaleType="fitXY" 
		        android:layout_weight="0"
 		        />
    		    <include layout="@layout/act_group_buttons"/> 
               <LinearLayout
                    style="@style/ll_horizontal_height_wrap_noborder"
                    android:layout_marginTop="2dp" >

                    <TextView
                        style="@style/text_view_title"
                        android:layout_marginBottom="0dp"
                        android:text="@string/act_title" />

                    <EditText
                        android:id="@+id/act_edit_title"
                        style="@style/activtity_edit.required"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="7dp"
                        android:hint="请输入活动标题"
                        android:maxLength="30"
                        android:text="" >
                    </EditText>
                    <!-- android:gravity="center_horizontal" -->
                    <!--
                                                   <CalendarView
												      android:id="@+id/calendarView1"
												      android:layout_width="match_parent"
												      android:layout_height="match_parent" />
                    -->

                </LinearLayout>

                <LinearLayout style="@style/ll_horizontal_height_wrap_noborder" >

                    <LinearLayout style="@style/ll_horizontal" >

                        <TextView
                            style="@style/text_view_title"
                            android:text="@string/act_creator" />

                        <TextView
                            android:id="@+id/act_textview_creator"
                            style="@style/activtity_edit" />
                    </LinearLayout>

                    <LinearLayout
                        style="@style/ll_horizontal_width_wrap"
                        android:layout_marginRight="5dp" >

                        <TextView
                            style="@style/text_view_title"
                            android:text="@string/act_svrNo" />

                        <TextView
                            android:id="@+id/act_textview_svrNo"
                            style="@style/activtity_edit" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    style="@style/ll_horizontal_height_wrap_noborder"
                    android:visibility="gone" >

                    <LinearLayout style="@style/ll_horizontal" >

                        <TextView
                            style="@style/text_view_title"
                            android:text="@string/act_type" />

                        <RadioGroup
                            android:id="@+id/act_rdGroup_type"
                            style="@style/radio_grp"
                            android:layout_width="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:gravity="center_vertical" >

                            <RadioButton
                                android:id="@+id/act_rd_public"
                                style="@style/radio_btn"
                                android:checked="true"
                                android:text="@string/act_type_public" />

                            <RadioButton
                                android:id="@+id/act_rd_cycle"
                                style="@style/radio_btn"
                                android:text="@string/act_type_cycle" />

                            <RadioButton
                                android:id="@+id/act_rd_private"
                                style="@style/radio_btn"
                                android:text="@string/act_type_private" />
                        </RadioGroup>
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout style="@style/ll_horizontal_height_wrap_noborder" >

                    <TextView
                        style="@style/text_view_title"
                        android:text="@string/act_starttime" />

                    <EditText
                        android:id="@+id/act_edit_starttime"
                        style="@style/activtity_edit.required"
                        android:layout_width="wrap_content"
                        android:layout_marginLeft="7dp"
                        android:layout_weight="0"
                        android:hint="活动开始时间" />

                    <!-- android:background="@color/green" -->

                    <TextView
                        style="@style/ll_text_view_1"
                        android:layout_width="match_parent"
                        android:layout_weight="1"
                        android:text=" " />
                </LinearLayout>

                <LinearLayout style="@style/ll_horizontal_height_wrap_noborder" >

                    <TextView
                        style="@style/text_view_title"
                        android:text="@string/act_endtime" />

                    <EditText
                        android:id="@+id/act_edit_endtime"
                        style="@style/activtity_edit.required"
                        android:layout_width="wrap_content"
                        android:layout_marginLeft="7dp"
                        android:layout_weight="0"
                        android:hint="活动终止时间" />

                    <TextView
                        style="@style/ll_text_view_1"
                        android:layout_width="match_parent"
                        android:layout_weight="1"
                        android:text=" " />
                </LinearLayout>

                <LinearLayout
                    style="@style/ll_horizontal_height_wrap_noborder"
                    android:visibility="gone" >

                    <TextView
                        style="@style/text_view_title"
                        android:text="@string/act_isrepeat" />

                    <LinearLayout
                        style="@style/ll_horizontal_height_wrap_noborder"
                        android:orientation="vertical" >

                        <RadioGroup
                            android:id="@+id/act_rdGroup_repeat"
                            style="@style/radio_grp"
                            android:layout_width="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:gravity="center_vertical" >

                            <RadioButton
                                android:id="@+id/act_rd_single"
                                style="@style/radio_btn"
                                android:checked="true"
                                android:text="@string/act_single" />

                            <RadioButton
                                android:id="@+id/act_rd_multi"
                                style="@style/radio_btn"
                                android:text="@string/act_multi" />
                        </RadioGroup>

                        <LinearLayout
                            android:id="@+id/act_ll_days"
                            style="@style/ll_horizontal_height_wrap_noborder" >

                            <android.support.v7.widget.GridLayout
                                xmlns:app="http://schemas.android.com/apk/res/com.qiyou.mb.android"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_gravity="center_horizontal"
                                android:background="@color/linen"
                                android:gravity="center"
                                app:alignmentMode="alignBounds"
                                app:columnCount="5"
                                app:orientation="horizontal"
                                app:useDefaultMargins="false" >

                                <CheckBox
                                    android:id="@+id/act_chk_day_1"
                                    style="@style/act_chkbox"
                                    android:text="@string/day1" />

                                <CheckBox
                                    android:id="@+id/act_chk_day_2"
                                    style="@style/act_chkbox"
                                    android:text="@string/day2" />

                                <CheckBox
                                    android:id="@+id/act_chk_day_3"
                                    style="@style/act_chkbox"
                                    android:text="@string/day3" />

                                <CheckBox
                                    android:id="@+id/act_chk_day_4"
                                    style="@style/act_chkbox"
                                    android:text="@string/day4" />

                                <CheckBox
                                    android:id="@+id/act_chk_day_5"
                                    style="@style/act_chkbox"
                                    android:text="@string/day5" />

                                <CheckBox
                                    android:id="@+id/act_chk_day_6"
                                    style="@style/act_chkbox"
                                    android:text="@string/day6" />

                                <CheckBox
                                    android:id="@+id/act_chk_day_7"
                                    style="@style/act_chkbox"
                                    android:text="@string/day7" />
                            </android.support.v7.widget.GridLayout>
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_start_place"
                    style="@style/ll_horizontal_height_wrap_noborder" >

                    <TextView
                        style="@style/text_view_title"
                        android:text="@string/act_startGeo" />

                    <EditText
                        android:id="@+id/act_edit_startGeo"
                        style="@style/activtity_edit.required"
                        android:layout_marginLeft="7dp"
                        android:enabled="true"
                        android:hint="请输选择活动的起始地点"
                        android:maxLength="50"
                        android:text="" >
                    </EditText>
                    <!-- android:gravity="center" -->

                    <TextView
                        android:id="@+id/act_txt_startGeo_share"
                        style="@style/act_share_url"
                        android:autoLink="all"
                        android:clickable="true"
                        android:text="@string/act_share" />
 <!-- android:background="@drawable/icon_bstart" -->

                    <TextView
                        android:id="@+id/act_txt_startGeo_map"
                        style="@style/act_share_url"
                        android:text="" />

                    <TextView
                        android:id="@+id/act_txt_startGeo_picker"
                        style="@style/text_more"
                        android:layout_height="wrap_content"
                        android:background="@drawable/icon_sstart" />
                </LinearLayout>

                <!-- android:background="@color/red" -->

                <LinearLayout
                    android:id="@+id/ll_end_place"
                    style="@style/ll_horizontal_height_wrap_noborder" >

                    <TextView
                        style="@style/text_view_title"
                        android:text="@string/act_endGeo" />

                    <EditText
                        android:id="@+id/act_edit_endGeo"
                        style="@style/activtity_edit"
                        android:layout_marginLeft="7dp"
                        android:maxLength="50"
                        android:text="" >
                    </EditText>
                    <!--
                                                     <ImageView 	   
												    android:layout_width="wrap_content"
												    android:layout_height="wrap_content"
												    android:layout_weight="0"
												    android:background="@drawable/icon_bstart"
												    android:onClick="shareEndUrl()"
												    />
                    -->

                    <TextView
                        android:id="@+id/act_txt_endGeo_share"
                        style="@style/act_share_url"
                        android:autoLink="all"
                        android:clickable="true"
                        android:text="@string/act_share" />
                    <!-- android:onClick="shareEndUrl" -->

                    <TextView
                        android:id="@+id/act_txt_endGeo_map"
                        style="@style/act_share_url"
                        android:text="" />

                    <!-- android:gravity="center" -->

                    <TextView
                        android:id="@+id/act_txt_endGeo_picker"
                        style="@style/text_more"
                        android:layout_height="wrap_content"
                        android:background="@drawable/icon_send" />
                </LinearLayout>

                <LinearLayout
                    style="@style/ll_horizontal_height_wrap_noborder"
                    android:visibility="gone" >

                    <LinearLayout style="@style/ll_horizontal" >

                        <TextView
                            style="@style/text_view_title"
                            android:text="@string/act_lead" />

                        <EditText
                            android:id="@+id/act_edit_lead"
                            style="@style/activtity_edit"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="2dp"
                            android:layout_marginLeft="7dp"
                            android:gravity="center"
                            android:maxLength="50"
                            android:text="" >
                        </EditText>
                    </LinearLayout>

                    <LinearLayout style="@style/ll_horizontal" >

                        <TextView
                            style="@style/text_view_title"
                            android:text="@string/act_tail" />

                        <EditText
                            android:id="@+id/act_edit_tail"
                            style="@style/activtity_edit"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="7dp"
                            android:gravity="center"
                            android:maxLength="50"
                            android:text="" >
                        </EditText>
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout style="@style/ll_horizontal_height_wrap_noborder" >

                    <LinearLayout style="@style/ll_horizontal" >

                        <TextView
                            style="@style/text_view_title"
                            android:text="@string/act_levelstars" />

                        <RatingBar
                            android:id="@+id/act_levlRatingBar"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:isIndicator="false"
                            android:rating="2"
                            android:stepSize="1" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout style="@style/ll_horizontal_height_wrap_noborder" >

                    <LinearLayout style="@style/ll_horizontal" >

                        <TextView
                            style="@style/text_view_title"
                            android:text="@string/act_distance" />

                        <EditText
                            android:id="@+id/act_edit_distance"
                            style="@style/activtity_edit"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="7dp"
                            android:gravity="center"
                            android:hint=" "
                            android:inputType="numberDecimal"
                            android:maxLength="20"
                            android:text="" >
                        </EditText>
                    </LinearLayout>

                    <LinearLayout style="@style/ll_horizontal" >

                        <TextView
                            style="@style/text_view_title"
                            android:text="@string/act_speed" />

                        <EditText
                            android:id="@+id/act_edit_speed"
                            style="@style/activtity_edit"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="7dp"
                            android:gravity="center"
                            android:hint=""
                            android:inputType="numberDecimal"
                            android:maxLength="20"
                            android:text="" >
                        </EditText>
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout style="@style/ll_vertical_height_wrap" >
 
                    <EditText
                        android:id="@+id/act_edit_desc"
                        style="@style/activtity_edit.required"
                        android:layout_marginLeft="7dp"
                        android:gravity="left"
                        android:hint="活动须知"
                        android:inputType="textMultiLine"
                        android:maxLength="500"
                        android:text="" >
                    </EditText>
                </LinearLayout>
            </LinearLayout>
        </ScrollView>

        <!-- buttons
       
                 	      <LinearLayout		    
				           style ="@style/ll_line"
				           android:layout_height="wrap_content"  
				             android:padding ="5dip"   
				            android:layout_weight="0" 
				           >
				          			 <Button
										        android:id="@+id/btn_SaveAct"
										         style="@style/ll_button" 
										        android:text="@string/act_save" />    
										        
				          			    <Button
													        android:id="@+id/btn_submitAct"													        
													         style="@style/ll_button"										         
													        android:text="@string/act_submit" />										        
									  
				          			    
									  <Button
										        android:id="@+id/td_btnDelAct"
										         style="@style/ll_button" 
										         android:visibility="gone"
										        android:text="@string/track_edit_del" />
									 
									   
									  <Button
									        android:id="@+id/act_btn_join"
									         style="@style/ll_button" 
									         android:visibility="gone" 
									        android:text="@string/act_join" />   
									 
							
				     </LinearLayout>
        
			 -->

    
                     <LinearLayout   style ="@style/ll_line_note" 
		       		   android:layout_weight="0"
		             >							 
						 	<TextView                                                                                                                   
							     	android:id="@+id/txtNotice" 
							        style ="@style/ll_text_view_1"  
								    android:visibility="gone"
								     />  
								 		    
					 </LinearLayout>
      
 

</LinearLayout>